import { string_markdown } from '../.././types/typeAliases';
/**
 * Extracts exactly ONE code block from markdown.
 *
 * Note: This function is similar to extractBlocksFromMarkdown but it validates that there is exactly one code block.
 * Note: If there are multiple or no code blocks the function throws an error
 *
 * @param markdown any valid markdown
 * @returns code block with language and content
 *
 * @private within the library
 */
export declare function extractOneBlockFromMarkdown(markdown: string_markdown): {
    language: string | null;
    content: string;
};
